package com.gyf.csams

import kotlinx.serialization.Serializable


data class ApiResponse<T>(val code:Int,val message:String,val body:T?=null)

class Simple {
    companion object {
        fun success(message: String):ApiResponse<Any>{
            return ApiResponse(code = 200, message = message, body = null)
        }

        fun error(message: String): ApiResponse<Any> {
            return ApiResponse(code = 500, message = message, body = null)
        }
    }
}


@Serializable
data class UserVo(val studentId:String,val name:String)

data class UserResDto(val password:String)